clang 10.0.0git

Macros
CheckerRegistration.cpp File Reference
`#include "clang/StaticAnalyzer/Frontend/CheckerRegistration.h"`
`#include "clang/Basic/Diagnostic.h"`
`#include "clang/Frontend/FrontendDiagnostic.h"`
`#include "clang/StaticAnalyzer/Core/AnalyzerOptions.h"`
`#include "clang/StaticAnalyzer/Core/CheckerManager.h"`
`#include "clang/StaticAnalyzer/Frontend/CheckerRegistry.h"`
`#include "clang/StaticAnalyzer/Frontend/FrontendActions.h"`
`#include "llvm/ADT/SmallVector.h"`
`#include "llvm/Support/raw_ostream.h"`
`#include <memory>`
`#include "clang/StaticAnalyzer/Core/AnalyzerOptions.def"`
Include dependency graph for CheckerRegistration.cpp:

Go to the source code of this file.

## Macros
#define | ANALYZER_OPTION(TYPE, NAME, CMDFLAG, DESC, DEFAULT_VAL)
#define | ANALYZER_OPTION_DEPENDS_ON_USER_MODE(TYPE, NAME, CMDFLAG, DESC, SHALLOW_VAL, DEEP_VAL)

## Macro Definition Documentation

## ◆ ANALYZER_OPTION

#define ANALYZER_OPTION | ( |  | TYPE,
|  |  | NAME,
|  |  | CMDFLAG,
|  |  | DESC,
|  |  | DEFAULT_VAL
| ) |  |

Value:
{ \
CMDFLAG, \
llvm::Twine(llvm::Twine() + "(" + \
(StringRef(#TYPE) == "StringRef" ? "string" : #TYPE ) + \
") " DESC \
" (default: " #DEFAULT_VAL ")").str() \
},
TYPE
#define TYPE(DERIVED, BASE)
Definition: ASTFwd.h:26

## ◆ ANALYZER_OPTION_DEPENDS_ON_USER_MODE

#define ANALYZER_OPTION_DEPENDS_ON_USER_MODE | ( |  | TYPE,
|  |  | NAME,
|  |  | CMDFLAG,
|  |  | DESC,
|  |  | SHALLOW_VAL,
|  |  | DEEP_VAL
| ) |  |

Value:
{ \
CMDFLAG, \
llvm::Twine(llvm::Twine() + "(" + \
(StringRef(#TYPE) == "StringRef" ? "string" : #TYPE ) + \
") " DESC \
" (default: " #SHALLOW_VAL " in shallow mode, " #DEEP_VAL \
" in deep mode)").str() \
},
TYPE
#define TYPE(DERIVED, BASE)
Definition: ASTFwd.h:26